> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Instruction Link



## OpenAPI

````yaml /openapi.json patch /v1/workspaces/{workspaceId}/projects/{projectId}/items/{id}/instruction-links/{linkId}
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/projects/{projectId}/items/{id}/instruction-links/{linkId}:
    patch:
      tags:
        - Project Items
      summary: Update Instruction Link
      operationId: ProjectItemsController_updateInstructionLink_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
        - name: projectId
          required: true
          in: path
          schema:
            type: string
        - name: id
          required: true
          in: path
          schema:
            type: string
        - name: linkId
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ProjectItemInstructionLinkTextDto'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/ProjectItemInstructionLinksMutationResponseDto
components:
  schemas:
    ProjectItemInstructionLinkTextDto:
      type: object
      properties:
        assigneeRoleGroupIds:
          type: array
          uniqueItems: true
          items:
            type: string
            enum:
              - mfg_vendors
              - owners
              - gc_sub
              - warehouse
              - facility_mgr
          default: []
        version:
          type: integer
          minimum: 1
        text:
          type: string
          minLength: 1
      required:
        - version
        - text
    ProjectItemInstructionLinksMutationResponseDto:
      type: object
      properties:
        instructionLinks:
          type: array
          items:
            $ref: '#/components/schemas/ProjectItemInstructionLinkResponseDto'
        version:
          type: number
      required:
        - instructionLinks
        - version
    ProjectItemInstructionLinkResponseDto:
      type: object
      properties:
        assigneeRoleGroupIds:
          type: array
          items:
            type: string
            enum:
              - mfg_vendors
              - owners
              - gc_sub
              - warehouse
              - facility_mgr
        id:
          type: string
        text:
          type: string
        position:
          type: number
      required:
        - assigneeRoleGroupIds
        - id
        - text
        - position

````